%define dist Inline
Name: perl-%dist
Version: 0.44
Release: alt2.1

Summary: Write Perl subroutines in other programming languages
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

# enable Inline::C unconditionally
Patch0: %name-0.44-enable-Inline-C.patch
# http://mail.gnome.org/archives/gtk-perl-list/2002-November/msg00053.html
Patch1: %name-0.44-mdk-underscore-localization.patch
# http://www.nntp.perl.org/group/perl.inline/2274
Patch2: %name-0.44-alt-our-vars.patch

BuildArch: noarch
Requires: gcc > 3

# Automatically added by buildreq on Fri Nov 01 2002
BuildRequires: perl-Parse-RecDescent perl-devel perl-pod

%description
Inline lets you write Perl subroutines in other programming languages
like C, C++, Java, Python, Tcl and even Assembly. You don't need to
compile anything. All the details are handled transparently so you
can just run your Perl script like normal.

%prep
%setup -q -n %dist-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/Inline*
%perl_vendor_privlib/auto/Inline*
%perl_vendor_man3dir/Inline*

%changelog
* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.44-alt2.1
- Rebuilt with rpm-build-perl-0.5.1.

* Mon May 17 2004 Alexey Tourbin <at@altlinux.ru> 0.44-alt2
- revamped specfile (fixed URL etc.)
- mdk-underscore-localization.patch: fixes the use of $_ in Inline::denter
- alt-our-vars.patch: made Inline::C::ParseRegExp work with perl-5.8.4
- Requires: gcc > 3 (because of Inline::C)

* Wed Mar 19 2003 Stanislav Ievlev <inger@altlinux.ru> 0.44-alt1
- 0.44

* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 0.43-alt2
- Rebuilt with perl-5.8.

* Mon Sep 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.43-alt1
- Initial revision.
